Last Comment Bug 507755 - Move mozScreenPixelsPerCSSPixel to nsIDOMWindowUtils
: Move mozScreenPixelsPerCSSPixel to nsIDOMWindowUtils
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: ---
Assigned To: Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
:
Mentors:
Depends on: 564815
Blocks: 486200
  Show dependency treegraph
 
Reported: 2009-07-31 18:18 PDT by Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
Modified: 2013-04-04 13:53 PDT (History)
7 users (show)
dbaron: blocking1.9.2+
roc: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
beta1-fixed


Attachments
fix (7.43 KB, patch)
2009-08-02 16:43 PDT, Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
jst: review+
jst: superreview+
Details | Diff | Splinter Review
extra test (1.89 KB, patch)
2009-08-02 16:45 PDT, Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
jst: review+
jst: superreview+
Details | Diff | Splinter Review

Description Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-07-31 18:18:36 PDT
It's chrome-only; having it in 'window' is breaking things. See https://bugzilla.mozilla.org/show_bug.cgi?id=486200#c28 ff.
Comment 1 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-08-02 16:43:23 PDT
Created attachment 392185 [details] [diff] [review]
fix

Easy stuff...
Comment 2 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-08-02 16:45:03 PDT
Created attachment 392186 [details] [diff] [review]
extra test

This test will make sure that no-one repeats my mistake.
Comment 3 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-08-03 19:02:03 PDT
http://hg.mozilla.org/mozilla-central/rev/9410607682a0
http://hg.mozilla.org/mozilla-central/rev/5efec3e6ea0a
Comment 4 Nochum Sossonko [:Natch] 2009-08-05 11:07:17 PDT
Added some documentation to https://developer.mozilla.org/en/Firefox_3.6_for_developers, it isn't enough, but at least it's something :)
Comment 5 Nochum Sossonko [:Natch] 2009-08-05 12:36:11 PDT
At least this part is complete. https://developer.mozilla.org/en/nsIDOMWindowUtils
Comment 6 Dave Townsend [:mossop] 2010-06-08 18:16:48 PDT
There are still a confusing bunch of references to window.mozScreenPixelsPerCSSPixel on MDC.
Comment 7 Eric Shepherd [:sheppy] 2010-08-18 10:34:18 PDT
Updated:

https://developer.mozilla.org/en/DOM/window
https://developer.mozilla.org/en/Firefox_3.6_for_developers

Deleted the article on DOM/window.mozScreenPixelsPerCSSPixel.

Note You need to log in before you can comment on or make changes to this bug.